Delete sync job run state
/sync-job-run-state/{id}
Path Parameters
The ID of the state to delete.
last_processed_idQuery Parameters
The state_key attribute found in a sync job run and defined in the sync job. Used as a namespace for the states.
sync_job_123Response Body
Timestamp when the state was created.
2023-01-01T10:00:00.000ZThe key identifier for this state.
last_processed_idThe ID of the sync job run this state is associated with (optional).
4a4de828-f4db-4c9e-adfd-434e0864c3c7Timestamp when the state was last updated.
2023-02-01T10:00:00.000ZThe updated state value stored.
eyJpZCI6IjY3ODkwIiwidGltZXN0YW1wIjoiMjAyMy0wMi0wMVQwMDowMDowMFoifQ==curl -X DELETE 'https://api.truto.one/sync-job-run-state/{id}' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const response = await fetch('https://api.truto.one/sync-job-run-state/{id}', {
method: 'DELETE',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/sync-job-run-state/{id}"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
}
response = requests.delete(url, headers=headers, params=params)
print(response.json())